HalJsonDataBindingSourceCreator (Grails 6.0.0)

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class HalJsonDataBindingSourceCreator

- org.grails.web.databinding.bindingsource.HalJsonDataBindingSourceCreator

-     @groovy.transform.CompileStatic
      class HalJsonDataBindingSourceCreator
      extends JsonDataBindingSourceCreator

  Creates DataBindingSource objects from HAL JSON in the request body

  Since:
    2.3
  Authors:
    Jeff Brown
    Graeme Rocher
  See Also:
    DataBindingSource
    DataBindingSourceCreator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `HAL_EMBEDDED_ELEMENT` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JsonDataBindingSourceCreator` | `INDEX_PATTERN, jsonSlurper`
    `class AbstractRequestBodyDataBindingSourceCreator` | `ignoredRequestBodyMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalJsonDataBindingSourceCreator ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map` | `createJsonMap(java.lang.Object jsonElement)`
    `` | `MimeType[]` | `getMimeTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JsonDataBindingSourceCreator` | `createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createDataBindingSource, createJsonMap, getMimeTypes`
    `class AbstractRequestBodyDataBindingSourceCreator` | `createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType`
    `class DefaultDataBindingSourceCreator` | `createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType`

- - ### Field Detail

    - #### public static final java.lang.String HAL_EMBEDDED_ELEMENT

  - ### Constructor Detail

    - #### HalJsonDataBindingSourceCreator()

  - ### Method Detail

    - #### @java.lang.Override protected java.util.Map createJsonMap(java.lang.Object jsonElement)

    - #### @java.lang.Override MimeType[] getMimeTypes()